Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeProject2XTZ.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeProject2XTZ.java	(revision 2697)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeProject2XTZ.java	(revision 2698)
@@ -20,25 +20,28 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class ComputeProject2XTZ extends AbstractHandler {
 	
-	@Option(name="projectDirectory",usage="Oriflamms' project directory", widget="Folder", required=true, def="project")
+	@Option(name = "projectDirectory", usage = "Oriflamms' project directory", widget = "Folder", required = true, def = "project")
 	File projectDirectory;
-
+	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
 	 */
+	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
 		if (!ParametersDialog.open(this)) return null;
 		
 		try {
 			return process(projectDirectory);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 		return null;
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndSemantics.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndSemantics.java	(revision 2697)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndSemantics.java	(revision 2698)
@@ -18,44 +18,49 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class ComputeAbbreviationsAndSemantics extends AbstractHandler {
-
-	@Option(name="tsvFile",usage="TSV output file", widget="CreateFile", required=false, def="file.tsv")
+	
+	@Option(name = "tsvFile", usage = "TSV output file", widget = "CreateFile", required = false, def = "file.tsv")
 	File tsvFile;
-
-	@Option(name="entities",usage="1	2	3", metaVar="name	persName	placeName	orgName	roleName", widget="StructuralUnits", required=false, def="persName")
+	
+	@Option(name = "entities", usage = "1	2	3", metaVar = "name	persName	placeName	orgName	roleName", widget = "StructuralUnits", required = false, def = "persName")
 	String entities;
 	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
 	 */
+	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection isel = HandlerUtil.getCurrentSelection(event);
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection selection = (IStructuredSelection)isel;
+			IStructuredSelection selection = (IStructuredSelection) isel;
 			Object o = selection.getFirstElement();
-
+			
 			if (!(o instanceof CQPCorpus)) {
-				System.out.println(o.toString()+" n'est pas un corpus. Abandon");
+				System.out.println(o.toString() + " n'est pas un corpus. Abandon");
 				return null;
-			} else {
+			}
+			else {
 				if (!ParametersDialog.open(this)) return null;
-
-				CQPCorpus corpus = (CQPCorpus)o;
-			
+				
+				CQPCorpus corpus = (CQPCorpus) o;
+				
 				try {
+					corpus.compute(false);
 					return compute(corpus, entities, tsvFile);
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					// TODO Auto-generated catch block
 					e.printStackTrace();
 				}
 			}
 		}
-
+		
 		return null;
 	}
 	
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndLines.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndLines.java	(revision 2697)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAbbreviationsAndLines.java	(revision 2698)
@@ -18,54 +18,59 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class ComputeAbbreviationsAndLines extends AbstractHandler {
-
-	@Option(name="tsvFile",usage="TSV output file", widget="CreateFile", required=false, def="file.tsv")
+	
+	@Option(name = "tsvFile", usage = "TSV output file", widget = "CreateFile", required = false, def = "file.tsv")
 	File tsvFile;
-
-	@Option(name="dist_start",usage="Distance depuis le début de ligne", widget="Integer", required=false, def="0")
+	
+	@Option(name = "dist_start", usage = "Distance depuis le début de ligne", widget = "Integer", required = false, def = "0")
 	Integer dist_start;
-
-	@Option(name="dist_end",usage="Distance depuis la fin de ligne", widget="Integer", required=false, def="1")
+	
+	@Option(name = "dist_end", usage = "Distance depuis la fin de ligne", widget = "Integer", required = false, def = "1")
 	Integer dist_end;
-
+	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
 	 */
+	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection isel = HandlerUtil.getCurrentSelection(event);
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection selection = (IStructuredSelection)isel;
+			IStructuredSelection selection = (IStructuredSelection) isel;
 			Object o = selection.getFirstElement();
-
+			
 			if (!(o instanceof CQPCorpus)) {
-				System.out.println(o.toString()+" n'est pas un corpus. Abandon");
+				System.out.println(o.toString() + " n'est pas un corpus. Abandon");
 				return null;
-			} else {
+			}
+			else {
 				if (!ParametersDialog.open(this)) return null;
-
-				CQPCorpus corpus = (CQPCorpus)o;
+				
+				CQPCorpus corpus = (CQPCorpus) o;
 				dist_start = Math.abs(dist_start);
 				dist_end = Math.abs(dist_end);
 				
 				try {
+					corpus.compute(false);
 					return compute(corpus, dist_start, dist_end, tsvFile);
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					// TODO Auto-generated catch block
 					e.printStackTrace();
 				}
 			}
 		}
-
+		
 		return null;
 	}
 	
 	public boolean compute(CQPCorpus corpus, int dist_start, int dist_end, File tsvFile) throws Exception {
-		AbbreviationsAndLines aal = new AbbreviationsAndLines(corpus, tsvFile,dist_start, dist_end);
+		AbbreviationsAndLines aal = new AbbreviationsAndLines(corpus, tsvFile, dist_start, dist_end);
 		return aal.process();
 	}
 }
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java	(revision 2697)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeCorpusImagePath.java	(revision 2698)
@@ -21,54 +21,61 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class ComputeCorpusImagePath extends AbstractHandler {
-
-	@Option(name="useCorpusHTMLDefaultDirectory", usage="use Corpus HTML Default Directory as image directory", widget="Boolean", required=true, def="true")
+	
+	@Option(name = "useCorpusHTMLDefaultDirectory", usage = "use Corpus HTML Default Directory as image directory", widget = "Boolean", required = true, def = "true")
 	boolean useCorpusHTMLDefaultDirectory;
-	@Option(name="path", usage="copy dictionary name", widget="Folder", required=false, def="")
+	
+	@Option(name = "path", usage = "copy dictionary name", widget = "Folder", required = false, def = "")
 	File path;
 	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
 	 */
+	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection isel = HandlerUtil.getCurrentSelection(event);
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection selection = (IStructuredSelection)isel;
+			IStructuredSelection selection = (IStructuredSelection) isel;
 			Object o = selection.getFirstElement();
-
+			
 			if (!(o instanceof MainCorpus)) {
-				System.out.println(o.toString()+" is not a MainCorpus. Aborting");
+				System.out.println(o.toString() + " is not a MainCorpus. Aborting");
 				return null;
-			} else {
-				MainCorpus corpus = (MainCorpus)o;
+			}
+			else {
+				MainCorpus corpus = (MainCorpus) o;
 				
 				if (ParametersDialog.open(this)) {
 					if (useCorpusHTMLDefaultDirectory) path = null;
-					update(corpus,  path);
+					update(corpus, path);
 				}
 			}
 		}
-
+		
 		return null;
 	}
 	
 	public boolean update(MainCorpus corpus, File path) {
 		try {
+			corpus.compute(false);
 			UpdateCorpusImagePaths upip = new UpdateCorpusImagePaths();
 			String spath = null;
 			if (path != null) spath = path.getAbsolutePath();
 			if (upip.process(corpus, spath)) {
 				System.out.println("Corpus HTML paths patched !");
-			} else {
+			}
+			else {
 				System.out.println("Error: Corpus HTML paths not patched.");
 				return false;
 			}
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 			return false;
 		}
Index: tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java
===================================================================
--- tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java	(revision 2697)
+++ tmp/org.txm.oriflamms.rcp/src/org/txm/oriflamms/commands/ComputeAllographs.java	(revision 2698)
@@ -19,55 +19,60 @@
 
 /**
  * Our sample handler extends AbstractHandler, an IHandler base class.
+ * 
  * @see org.eclipse.core.commands.IHandler
  * @see org.eclipse.core.commands.AbstractHandler
  */
 public class ComputeAllographs extends AbstractHandler {
-
-	@Option(name="tsvFile",usage="TSV output file", widget="CreateFile", required=false, def="file.tsv")
+	
+	@Option(name = "tsvFile", usage = "TSV output file", widget = "CreateFile", required = false, def = "file.tsv")
 	File tsvFile;
-
-	@Option(name="query",usage="The query", widget="Query", required=true, def="<s>[]")
+	
+	@Option(name = "query", usage = "The query", widget = "Query", required = true, def = "<s>[]")
 	CQLQuery query;
-
-	@Option(name="sign",usage="The sign", widget="String", required=false, def="amaj")
+	
+	@Option(name = "sign", usage = "The sign", widget = "String", required = false, def = "amaj")
 	String sign;
-
-	@Option(name="allograph",usage="The allograph", widget="String", required=false, def="amaj")
+	
+	@Option(name = "allograph", usage = "The allograph", widget = "String", required = false, def = "amaj")
 	String allograph;
-
+	
 	/**
 	 * the command has been executed, so extract extract the needed information
 	 * from the application context.
 	 */
+	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		ISelection isel = HandlerUtil.getCurrentSelection(event);
 		if (isel instanceof IStructuredSelection) {
-			IStructuredSelection selection = (IStructuredSelection)isel;
+			IStructuredSelection selection = (IStructuredSelection) isel;
 			Object o = selection.getFirstElement();
-
+			
 			if (!(o instanceof CQPCorpus)) {
-				System.out.println(o.toString()+" n'est pas un corpus. Abandon");
+				System.out.println(o.toString() + " n'est pas un corpus. Abandon");
 				return null;
-			} else {
+			}
+			else {
 				if (!ParametersDialog.open(this)) return null;
-
-				CQPCorpus corpus = (CQPCorpus)o;
-			
+				
+				CQPCorpus corpus = (CQPCorpus) o;
+				
 				try {
+					corpus.compute(false);
 					return compute(corpus, tsvFile, sign, allograph, query);
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					// TODO Auto-generated catch block
 					e.printStackTrace();
 				}
 			}
 		}
-
+		
 		return null;
 	}
 	
 	public boolean compute(CQPCorpus corpus, File tsvFile, String sign, String allograph, CQLQuery query) throws Exception {
-		Allographs a = new Allographs(corpus, tsvFile, sign , query, allograph);
+		Allographs a = new Allographs(corpus, tsvFile, sign, query, allograph);
 		return a.process();
 	}
 }
